%define req_libgnomemm_version 2.10.0
%define req_libgnomecanvasmm_version 2.10.0
%define req_gconfmm_version 2.10.0
%define req_libglademm_version 2.6.0

%define api_version 2.6

Name: libgnomeuimm
Version: 2.10.0
Release: alt1

Summary: A C++ wrapper for GNOME UI library
License: LGPL
Group: System/Libraries
Url: http://gtkmm.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/libgnomeuimm/%api_version/%name-%version.tar.bz2

# Automatically added by buildreq on Fri Jan 21 2005
BuildRequires: ORBit2-devel doxygen esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgconfmm2-devel libglade2-devel libglademm-devel libglibmm-devel libgnome-devel libgnome-keyring libgnome-vfsmm-devel libgnomecanvas-devel libgnomecanvasmm-devel libgnomemm2-devel libgnomeui-devel libgtk+2-devel libgtkmm2-devel libpango-devel libpopt-devel libsigc++2.0-devel libstdc++-devel libxml2-devel pkgconfig xorg-x11-devel xorg-x11-libs

BuildRequires: libgnomecanvasmm-devel >= %req_libgnomecanvasmm_version
BuildRequires: libgconfmm2-devel >= %req_gconfmm_version
BuildRequires: libglademm-devel >= %req_libglademm_version

%description
This library provides a C++ wrapper for GNOME UI library,
for use with gtkmm2 (previously known as gtk--). It is a subpackage
of the gnomemm project.

%package -n %name-devel
Summary: Development files for libgnomeui C++ wrapper
Group: Development/GNOME and GTK+
Requires: %name = %version
Requires: libgnomecanvasmm-devel >= %req_libgnomecanvasmm_version
Requires: libgconfmm2-devel >= %req_gconfmm_version
Requires: libglademm-devel >= %req_libglademm_version

%description -n %name-devel
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use
%name, the C++ interface to libgnomeui.

It is necessary when compiling applications which use libgnomeuimm as well.

%prep
%setup -q

%build
%configure --disable-static
%make

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES$/$1 NO/' Doxyfile
  make all
popd

%install
%makeinstall

%post
%post_ldconfig
%postun
%postun_ldconfig

%files
%doc AUTHORS
%_libdir/lib*.so.*

%files -n %name-devel
%doc docs/reference/html ChangeLog TODO
%_includedir/*
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_libdir/%name-%api_version

%changelog
* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 2.10.0-alt1
- new version

* Fri Jan 21 2005 Vitaly Lipatov <lav@altlinux.ru> 2.8.0-alt1
- new version
- build with gcc3.4
- use a macro for ldconfig

* Mon Jun 07 2004 Vitaly Lipatov <lav@altlinux.ru> 2.6.0-alt1.1
- add required version of libgnomemm2

* Mon Jun 07 2004 Vitaly Lipatov <lav@altlinux.ru> 2.6.0-alt1
- new version

* Thu Feb 19 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt2
- fix requires

* Tue Feb 17 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt1.1
- add missed buildreq

* Sun Feb 15 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt1
- first build for Sisyphus (thanks Mandrake)

* Fri Oct 17 2003 Abel Cheung <deaddog@deaddog.org> 2.0.0-2mdk
- Rebuild against new libgnomemm
- Fix variable naming

* Sat Sep 13 2003 Abel Cheung <deaddog@deaddog.org> 2.0.0-1mdk
- 2.0.0 (API frozen)
- Remove Patch1 (upstream)

* Wed Sep  3 2003 Abel Cheung <deaddog@deaddog.org> 1.3.17-1mdk
- 1.3.17
- Patch0: Fix libtool 1.5 to search for staging libs first
- Patch1 (CVS): Make GnomeUIInfo public, allowing building with gcc 3.3

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 1.3.16-1mdk
- 1.3.16

* Mon Jul  8 2002 Abel Cheung <maddog@linux.org.hk> 1.3.7-1mdk
- 1.3.7 (GNOME 2)
- First Mandrake spec, based on original spec in source

* Tue Mar 20 2001 Eric Bourque <ericb@computer.org>
- added gnome--.m4 to files devel section

* Sat Mar 10 2001 Herbert Valerio Riedel <hvr@gnu.org>
- improved examples.conf
- fixed example build problems

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
